layui.extend({
    view: 'lib/view', //视图渲染模块
}).define(['setter', 'admin'], function (exports) {
    var
        admin = layui.admin,
        common = layui.common,
        $ = layui.$;

    window.addEventListener('message', function (event) {
        if (event.data) {
            admin.doMessage(event.data)
        }
    });

    layui.event('WM_USERWFG', 'WM_OPENPAGE', null, function (WParam) {
        if (WParam && WParam.url != '' && WParam.text != '') {
            common.openTabsPage(WParam.url, WParam.text);
        }
    });



    $('#about').on('click', function () {
        layer.open({
            type: 2,
            title: "关于我们",
            area: ['600px', '250px'],
            content: layui.cache['contentPath'] + '/about'
        })
    })

    exports('index', {
        openTabsPage: common.openTabsPage
    });
});