<!DOCTYPE html>
<html>

<head>
	<title>平台设置</title>
	<#include "base/pageheader.ftl" />
	<style>
		.layui-upload-img {
			width: 92px;
			height: 92px;
			margin: 0 10px 10px 0;
		}
		.layui-input, .layui-textarea, .layui-select {
			<#--  height: 28px;  -->
		}
		.layui-logo-img {
			margin-inline-end: 10px;
			width: 23px;
			height: 23px;
			cursor: pointer;
		}
		.layui-logo-img-big {
			width: 360px;
			height: 360px;
		}
        .layui-form-label-child{
            width:100px;
        }
        .layui-input-block.layui-input-block-child{
            margin-left: 130px;
        }
        .layui-table-cell input[name="text_v"],
        .layui-table-cell .layui-form-select input {
            height: 28px;
            line-height: 28px;
        }
        .selectMulti  {
            height: 28px;
            line-height: 28px;
            min-height: 28px;
        }
        .layui-table-cell .layui-form-checkbox[lay-skin="primary"]{
            padding-left: 28px;
        }

        #frmWechatConfig .layui-input-block {
            margin-left: 210px;
        }

        #frmWechatConfig .layui-form-label {
            width: 180px;
        }
        .layui-form-item.color ul,.layui-form-item.style ul,.layui-form-item.layout ul{
            list-style-type:none;
        }
        .layui-form-item.color ul li,.layui-form-item.style ul li,.layui-form-item.layout ul li{
            display:inline-block;
            list-style-type:none;
            width: 40px;
            height: 40px;
            border: 1px solid #C9C9C9;
            margin-right: 8px;
            border-radius: 4px;
            overflow: hidden;
            font-size: 20px;
            text-align: center;
            line-height: 40px;
            color: white;
        }
         .layui-form-item.color input,.layui-form-item.style input,.layui-form-item.layout input {
             display:none;
         }
        .layui-form-item.layout ul li{
            background-repeat: no-repeat;
            background-position-x: center;
            background-position-y: center;
        }

        .theme-color-active,.theme-style-active,.theme-layout-active {
            border: 1px solid #C9C9C9 !important;
            box-shadow: 0 0 3px rgba(0,0,255, 1);
        }
	</style>

</head>
<body>
	<div class="layui-fluid">
		<div class="layui-row  layui-col-space5">
			<div class="layui-col-md2 docking-left">
				<div class="layui-card docking-left">
					<div class="layui-card-header zltree-header">机构</div>
					<div class="layui-card-body zltree-body">
						<input type="hidden" name="ORGIDTEMP">
						<ul id="orgtree" class="ztree" ></ul>
					</div>
				</div>
			</div>

			<div class="layui-col-md10 docking-fill">
				<div class="layui-card layui-card-body">
					
						<div class="zl-toolbar">
							<div class="layui-inline zl-seacher-div">
								<div class="layui-inline">
									<input type="text" placeholder="请输入查找的值" id="edtSeacherValue" autocomplete="on" class="layui-input layui-inline zl-seacher-input">
								</div>
								<div class="layui-inline">
									<button class="layui-btn layui-btn-sm" id="btnSeacher">
										<i class="layui-icon layui-icon-search"></i>
									</button>
								</div>
							</div>
						</div>
						<div class="zl-container">
						<table class="layui-hidden" id="treeSetting" lay-filter="treeSetting"></table>
					</div>
				</div>
			</div>
		</div>
    </div>
	<#include "base/pagefoot.ftl"/>

	<script id="theme_setter_template" type="text/html">
        <div class="layui-card-body layadmin-setTheme">
            <div class="layui-card-header zltree-header">系统主题1</div>
            <p class="layui-search operation-btn">
                <button class="layui-btn layui-btn-sm" id="addTheme" title="添加主题">
                    <i class="layui-icon layui-icon-add-1" style="margin-right: 0;"></i>
                </button>
                <button class="layui-btn layui-btn-sm" id="delTheme" title="删除主题">
                    <i class="layui-icon layui-icon-delete" style="margin-right: 0;"></i>
                </button>
                <button class="layui-btn layui-btn-sm" id="importTheme" title="导入主题">
                    <i class="zlui-icon zlui-icon-datain" style="margin-right: 0;"></i>
                </button>
                <button class="layui-btn layui-btn-sm" id="exportTheme" title="导出主题">
                    <i class="zlui-icon zlui-icon-datamodelout" style="margin-right: 0;"></i>
                </button>
                 <input type="file" name="importThemeInput" accept="json" class="layui-hide"> 
            </p>
            <div class="layui-card-body layui-card-theme">
                <ul class="layadmin-setTheme-color">
				{{#  layui.each(d, function(index, item){ }}
                    <li data-tid="{{item.id}}" data-alias="{{item['theme_title-py']}}" class="">
                        <div class="theme-name">{{item.theme_title}}</div>
                        <div class="blank"></div>
                        <div class="layadmin-setTheme-header" style="background-color: {{item['navBgInput']}};"></div>
                        {{# if(item.layout !=='top'){   }}
                        <div class="layadmin-setTheme-side" style="background-color: {{item['menuBgInput']}};">
                            <div class="layadmin-setTheme-logo" style="background-color: {{item['logoBgInput']}};"></div>
                        </div>
                        {{# }                           }}
                    </li>
				{{#  }); }}
                </ul>
            </div>
            <div class="theme-confirm-btn">
                <button class="layui-btn layui-btn-sm" id="themeConfirmBtn" style="padding: 0 7px;">设为默认</button>
                <button class="layui-btn layui-btn-sm operationBtn saveData" style="padding: 0 7px;">保存主题</button>
                <button class="layui-btn layui-btn-sm layui-btn-danger operationBtn reset" style="padding: 0 7px;">重置</button>
            </div>
        </div>

        <div class="layui-card-body layadmin-themeDetail">
            <form class="layui-form" lay-filter="theme-form">
				<div class="layui-form-item layui-hide">
                    <div class="layui-input-block">
                        <button class="layui-btn" lay-submit lay-filter="themeForm">保存</button>
                        <button type="reset" class="layui-btn layui-btn-primary">重置</button>
                    </div>
                </div>
                <div class="layui-form-item">
                    <label class="layui-form-label"><span style="color:red">*</span>主题名称</label>
                    <div class="layui-input-block">
                        <input type="text" name="theme_title" placeholder="" autocomplete="off" class="layui-input w400">
                    </div>
                </div>
                <fieldset class="layui-elem-field layui-field-title" style="margin-top: 30px;">
                    <legend>风格、色调、布局</legend>
                </fieldset>
                <div class="layui-form-item style">
                    <label class="layui-form-label">主题风格</label>
                    <ul>
                        <li value="light" class="theme-style-active"></li>
                        <li value="dark"></li>
                    </ul>
                </div>
                <div class="layui-form-item color">
                    <label class="layui-form-label">主题色调</label>
                    <ul>
                        <li value="#1890ff" class="theme-color-active" title='拂晓蓝'></li>
                        <li value=""></li>
                        <li value=""></li>
                        <li value=""></li>
                        <li value=""></li>
                        <li value=""></li>
                        <li value=""></li>
                    </ul>
                </div>
                <div class="layui-form-item layout">
                    <label class="layui-form-label">主题布局</label>
                    <ul>
                        <li value="left" class="theme-layout-active" title='左边菜单'></li>
                        <li value="top"></li>
                        <li value="letTop"></li>
                    </ul>
                </div>
                <fieldset class="layui-elem-field layui-field-title" style="margin-top: 30px;">
                    <legend>菜单、导航、抬头设置</legend>
                </fieldset>                
                <div class="layui-form-item">
                    <label class="layui-form-label">左上角标题</label>
                    <div class="layui-input-block"></div>
                    <div class="layui-input-block">
                        <label class="layui-form-label layui-form-label-child">字体颜色</label>
                        <div class="layui-input-block layui-input-block-child">
                            <div class="layui-input-block-child">
                                <div class="layui-input-inline w230">
                                    <input type="text" name="logoFontColorInput" placeholder="请选择颜色" class="layui-input"
                                        id="logoFontColorInput">
                                </div>
                                <div class="layui-inline layui-inline-color">
                                    <div id="logoFontColor" class="colorpickerElem"></div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="layui-input-block">
                        <label class="layui-form-label layui-form-label-child">标题背景</label>
                        <div class="layui-input-block layui-input-block-child">
                            <div class="layui-input-block-child">
                                <div class="layui-input-inline w230">
                                    <input type="text" name="logoBgInput" placeholder="请选择颜色" class="layui-input"
                                        id="logoBgInput">
                                </div>
                                <div class="layui-inline layui-inline-color">
                                    <div id="logoBg" class="colorpickerElem"></div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
				<div class="layui-form-item">
                    <label class="layui-form-label">顶部导航栏</label>
                    <div class="layui-input-block"></div>
                    <div class="layui-input-block">
                        <label class="layui-form-label layui-form-label-child">导航栏字体</label>
                        <div class="layui-input-block layui-input-block-child w270">
                            <select name="navFont">
                                <option value="undefined">请选择</option>
                                <option value="SimSun">宋体</option>
                                <option value="SimHei">黑体</option>
                                <option value="Microsoft YaHei">微软雅黑</option>
                                <option value="KaiTi">楷体</option>
                                <option value="FangSong">仿宋</option>
                            </select>
                        </div>
                    </div>
                    <div class="layui-input-block">
                        <label class="layui-form-label layui-form-label-child">字体颜色</label>
                        <div class="layui-input-block layui-input-block-child">
                            <div class="layui-input-block-child">
                                <div class="layui-input-inline w230">
                                    <input type="text" name="navFontColorInput" placeholder="请选择颜色" class="layui-input"
                                        id="navFontColorInput">
                                </div>
                                <div class="layui-inline layui-inline-color">
                                    <div id="navFontColor" class="colorpickerElem"></div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="layui-input-block">
                        <label class="layui-form-label layui-form-label-child">导航栏背景</label>
                        <div class="layui-input-block layui-input-block-child">
                            <div class="layui-input-block-child">
                                <div class="layui-input-inline w230">
                                    <input type="text" name="navBgInput" placeholder="请选择颜色" class="layui-input"
                                        id="navBgInput">
                                </div>
                                <div class="layui-inline layui-inline-color">
                                    <div id="navBg" class="colorpickerElem"></div>
                                </div>
                            </div>
                        </div>
                    </div>
					<div class="layui-input-block">
                        <label class="layui-form-label layui-form-label-child">图标颜色</label>
                        <div class="layui-input-block layui-input-block-child">
                            <div class="layui-input-block-child">
                                <div class="layui-input-inline w230">
                                    <input type="text" name="navIconColorInput" placeholder="请选择颜色" class="layui-input"
                                        id="navIconColorInput">
                                </div>
                                <div class="layui-inline layui-inline-color">
                                    <div id="navIconColor" class="colorpickerElem"></div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="layui-form-item">
                    <label class="layui-form-label">菜单</label>
                    <div class="layui-input-block"></div>
                     <div class="layui-input-block">
                        <label class="layui-form-label layui-form-label-child">搜索框背景</label>
                        <div class="layui-input-block layui-input-block-child">
                            <div class="layui-input-block-child">
                                <div class="layui-input-inline w230">
                                    <input type="text" name="searchBoxBgInput" placeholder="请选择颜色" class="layui-input"
                                        id="searchBoxBgInput">
                                </div>
                                <div class="layui-inline layui-inline-color">
                                    <div id="searchBoxBg" class="colorpickerElem"></div>
                                </div>
                            </div>
                        </div>
                    </div>
                     <div class="layui-input-block">
                        <label class="layui-form-label layui-form-label-child">搜索框字体色</label>
                        <div class="layui-input-block layui-input-block-child">
                            <div class="layui-input-block-child">
                                <div class="layui-input-inline w230">
                                    <input type="text" name="searchBoxFontColorInput" placeholder="请选择颜色" class="layui-input"
                                        id="searchBoxFontColorInput">
                                </div>
                                <div class="layui-inline layui-inline-color">
                                    <div id="searchBoxFontColor" class="colorpickerElem"></div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="layui-input-block">
                        <label class="layui-form-label layui-form-label-child">菜单字体</label>
                        <div class="layui-input-block layui-input-block-child w270">
                            <select name="menuFont">
                               <option value="undefined">请选择</option>
                                <option value="SimSun">宋体</option>
                                <option value="SimHei">黑体</option>
                                <option value="Microsoft YaHei">微软雅黑</option>
                                <option value="KaiTi">楷体</option>
                                <option value="FangSong">仿宋</option>
                            </select>
                        </div>
                    </div>
                    <div class="layui-input-block">
                        <label class="layui-form-label layui-form-label-child">字体颜色</label>
                        <div class="layui-input-block layui-input-block-child">
                            <div class="layui-input-block-child">
                                <div class="layui-input-inline w230">
                                    <input type="text" name="menuFontColorInput" placeholder="请选择颜色" class="layui-input"
                                        id="menuFontColorInput">
                                </div>
                                <div class="layui-inline layui-inline-color">
                                    <div id="menuFontColor" class="colorpickerElem"></div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="layui-input-block">
                        <label class="layui-form-label layui-form-label-child">菜单背景</label>
                        <div class="layui-input-block layui-input-block-child">
                            <div class="layui-input-block-child">
                                <div class="layui-input-inline w230">
                                    <input type="text" name="menuBgInput" placeholder="请选择颜色" class="layui-input"
                                        id="menuBgInput">
                                </div>
                                <div class="layui-inline layui-inline-color">
                                    <div id="menuBg" class="colorpickerElem"></div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="layui-input-block">
                        <label class="layui-form-label layui-form-label-child">子级菜单背景</label>
                        <div class="layui-input-block layui-input-block-child">
                            <div class="layui-input-block-child">
                                <div class="layui-input-inline w230">
                                    <input type="text" name="childMenuBgInput" placeholder="请选择颜色" class="layui-input"
                                        id="childMenuBgInput">
                                </div>
                                <div class="layui-inline layui-inline-color">
                                    <div id="childMenuBg" class="colorpickerElem"></div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="layui-input-block">
                        <label class="layui-form-label layui-form-label-child">选中项背景</label>
                        <div class="layui-input-block layui-input-block-child">
                            <div class="layui-input-block-child">
                                <div class="layui-input-inline w230">
                                    <input type="text" name="menuSelectedBgInput" placeholder="请选择颜色" class="layui-input"
                                        id="menuSelectedBgInput">
                                </div>
                                <div class="layui-inline layui-inline-color">
                                    <div id="menuSelectedBg" class="colorpickerElem"></div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="layui-input-block">
                        <label class="layui-form-label layui-form-label-child">选中项字体色</label>
                        <div class="layui-input-block layui-input-block-child">
                            <div class="layui-input-block-child">
                                <div class="layui-input-inline w230">
                                    <input type="text" name="menuSelectedFontColorInput" placeholder="请选择颜色" class="layui-input"
                                        id="menuSelectedFontColorInput">
                                </div>
                                <div class="layui-inline layui-inline-color">
                                    <div id="menuSelectedFontColor" class="colorpickerElem"></div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="layui-input-block">
                        <label class="layui-form-label layui-form-label-child">菜单项边框</label>
                        <div class="layui-input-block layui-input-block-child">
                            <div class="layui-input-block-child">
                                <div class="layui-input-inline w230">
                                    <input type="text" name="menuItemBorderColorInput" placeholder="请选择颜色" class="layui-input"
                                        id="menuItemBorderColorInput">
                                </div>
                                <div class="layui-inline layui-inline-color">
                                    <div id="menuItemBorderColor" class="colorpickerElem"></div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="layui-form-item" style="margin-bottom:0;">
                    <label class="layui-form-label">窗口主题</label>
                    <div class="layui-input-block">
                    </div>
                    <div class="layui-input-block">
                        <label class="layui-form-label layui-form-label-child">标题背景</label>
                        <div class="layui-input-block layui-input-block-child">
                            <div class="layui-input-block-child">
                                <div class="layui-input-inline w230">
                                    <input type="text" name="layerTitleBgInput" placeholder="请选择颜色" class="layui-input"
                                        id="layerTitleBgInput">
                                </div>
                                <div class="layui-inline layui-inline-color">
                                    <div id="layerTitleBg" class="colorpickerElem"></div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="layui-input-block">
                        <label class="layui-form-label layui-form-label-child">标题字体颜色</label>
                        <div class="layui-input-block layui-input-block-child">
                            <div class="layui-input-block-child">
                                <div class="layui-input-inline w230">
                                    <input type="text" name="layerTitleFontColorInput" placeholder="请选择颜色" class="layui-input"
                                        id="layerTitleFontColorInput">
                                </div>
                                <div class="layui-inline layui-inline-color">
                                    <div id="layerTitleFontColor" class="colorpickerElem"></div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="layui-input-block">
                        <label class="layui-form-label layui-form-label-child">关闭按钮颜色</label>
                        <div class="layui-input-block layui-input-block-child w270">
                            <select name="layerCloseBtnColor">
                                <option value="1">黑</option>
                                <option value="-83">白</option>
                            </select>
                        </div>
                    </div>
                    <#--  <div class="layui-input-block">
                        <label class="layui-form-label layui-form-label-child">窗口背景</label>
                        <div class="layui-input-block layui-input-block-child">
                            <div class="layui-input-block-child">
                                <div class="layui-input-inline w230">
                                    <input type="text" name="layerContentBgInput" placeholder="请选择颜色" class="layui-input"
                                        id="layerContentBgInput" class="colorpickerElem">
                                </div>
                                <div class="layui-inline layui-inline-color">
                                    <div id="layerContentBg"></div>
                                </div>
                            </div>
                        </div>
                    </div>  -->
                </div>
            </form>
        </div>
        <div style="clear: both;"></div>
    </script>
    <script type="text/javascript" src="${request.contextPath}<@jstime url='/static/libs/ace/ace.js'> </@jstime>"></script>
	<script type="text/javascript" src="${request.contextPath}<@jstime url='/static/libs/FileSaver.min.js'> </@jstime>"></script>
	<script type="text/javascript" src="${request.contextPath}<@jstime url='/static/modules/manager/coresysopt/coresysopt.js'> </@jstime>"></script>

</body>

</html>