<!DOCTYPE html>
<html>
<head>
  <title><@configValue id='D9D9033598B54FD794995DA742A58A40'> </@configValue></title>
  <#include "base/pageheader.ftl"/>
  <link rel="icon" href="${request.contextPath}<@configValue id='CAAB580980C74A169D8AFEB418ABB5AA'> </@configValue>" type="image/x-icon"/>
  <link rel="stylesheet" href="${request.contextPath}<@jstime url='/static/css/font-awesome/css/font-awesome.min.css'> </@jstime>">
  <link rel="stylesheet" href="${request.contextPath}<@jstime url='/static/modules/web/kdayunadmin/style/admin.css'> </@jstime>" media="all">
  <link rel="stylesheet" href="${request.contextPath}<@jstime url='/static/modules/web/kdayunadmin/style/loader.css'> </@jstime>" media="all">
   <!-- 添加发生重大事件获取哀悼日需要把网站变灰的样式 -->
  <@config id = Global.SYSOPTKEY_ISOPENZHIHUI orgid = "${orgid}" >
    <link id="filterCss" rel="stylesheet" href="${request.contextPath}<@jstime url='/static/modules/manager/css/filter.css'> </@jstime>" media="all">
  </@config>
  <!-- 让IE8/9支持媒体查询，从而兼容栅格 -->
  <!--[if lt IE 9]>
	<script src="${request.contextPath}/static/libs/html5.min.js"></script>
	<script src="${request.contextPath}/static/libs/respond.min.js"></script>
	<![endif]-->
  <script>
    /^http(s*):\/\//.test(location.href) || alert('请先部署到 localhost 下再访问');
  </script>
  <style>
      .layui-logo-img {
        border-radius: 50%;
        margin-inline-end: 5px;
        width: 40px;
        height: 40px;
      }
      .layui-logo-title{
        overflow: hidden;
        width: 130px;
        white-space: nowrap;
        float: right;text-overflow: ellipsis;
      }
  </style>
</head>

<body id="kdayun-body" class="kdayun-layout-body">
  <div id="loader-wrapper">
    <div id="loader"></div>
    <div class="loader-section section-left"></div>
    <div class="loader-section section-right"></div>
    <div class="load_title">正在加载 - <@configValue id='D9D9033598B54FD794995DA742A58A40'> </@configValue><br><span></span></div>
  </div>
  <div id="kdayun-app" class="kdayun-app-layout-left kdayun-app-layout">
    <div class="layui-header">
      <!-- 头部区域 -->
      <ul class="layui-nav layui-layout-left">
        <li class="layui-nav-item layadmin-flexible" lay-unselect>
          <a href="javascript:;" layadmin-event="flexible" title="侧边伸缩">
            <i class="layui-icon layui-icon-shrink-right" id="kdayun-app-flexible"></i>
          </a>
        </li>
        <li class="layui-nav-item layadmin-flexible" lay-unselect>
          <a href="javascript:;" layadmin-event="fullscreen" title="全屏">
            <i class="zlui-icon layui-icon-screen-full"></i>
          </a>
        </li>
        <li class="layui-nav-item" lay-unselect>
          <a href="javascript:;" layadmin-event="refresh" title="刷新">
            <i class="layui-icon layui-icon-refresh-3"></i>
          </a>
        </li>
      </ul>
      <ul class="layui-nav layui-layout-right" lay-filter="layadmin-layout-right">
          <li class="layui-nav-item" lay-unselect>
              <a layadmin-event="message" yh-href="${request.contextPath}/manager/coremodelshow/?modelCode=CORE_LCDBS" nopost="1" lay-text="消息中心">
                  <i class="layui-icon layui-icon-notice"></i>
                  <!-- 如果有新消息，则显示小圆点 -->
                  <span class="layui-badge-dot"></span>
              </a>
          </li>
          <!-- <li class="layui-nav-item " lay-unselect>
              <a href="javascript:;">
                  <cite id='about'>关于</cite>
              </a>
          </li> -->
          <li class="layui-nav-item " lay-unselect>
              <a href="javascript:;">
                  <cite id='ORGNAME'></cite>
              </a>
          </li>
          <!-- <li class="layui-nav-item layui-hide-xs" lay-unselect>
              <a href="javascript:;" layadmin-event="theme">
                  <i class="layui-icon layui-icon-theme"></i>
              </a>
          </li> -->
          <li class="layui-nav-item " lay-unselect>
              <a href="javascript:;">
                  <cite id='ROLENAME'></cite>
              </a>
              <dl class="layui-nav-child" id="rolecourse">
              </dl>
          </li>
      
          <li class="layui-nav-item setli" lay-unselect >
              <a href="javascript:;">
                  <img id="TOUX" src="" style="width: 40px;height: 40px;border-radius: 50%;" />
                  <cite id='OBJNAME'></cite>
              </a>
              <dl class="layui-nav-child">
                  <dd id="jbzl" class="setitem">
                      <a yh-href="${request.contextPath}/info">
                          <i class="fa fa-user-circle" aria-hidden="true" style="margin-right: 6px;color: #333;"></i>基本资料</a>
                  </dd>
                  <dd id="xgmm" class="setitem">
                      <a yh-href="${request.contextPath}/password">
                          <i class="fa fa-edit" aria-hidden="true" style="margin-right: 6px;color: #333;"></i>修改密码
                      </a>
                  </dd>
                  <dd id="pfsz" class="setitem">
                      <a layadmin-event="theme">
                          <i  class="fa fa-themeisle" aria-hidden="true" style="margin-right: 6px;color: #333;"></i>主题设置
                      </a>
                  </dd>
                  <dd id="gywm" class="setitem">
                      <a href="javascript:;" id="about">
                          <i  class="fa fa-volume-control-phone" aria-hidden="true" style="margin-right: 6px;color: #333;"></i>关于我们
                      </a>
                  </dd>             
                  <dd id="zx" class="setitem" layadmin-event="logout" style="text-align: left;">
                      <hr>
                      <a href="${request.contextPath}/logout/">
                          <i class="fa fa-sign-out" aria-hidden="true" style="margin-right: 6px;color: #333;"></i> 注销</a>
                  </dd>
              </dl>
          </li>
          <li class="layui-nav-item layui-show-xs-inline-block layui-hide-sm" lay-unselect>
              <a href="javascript:;" layadmin-event="more">
                  <i class="layui-icon layui-icon-more-vertical"></i>
              </a>
          </li>
      </ul>
    </div>
    <!-- 侧边菜单 -->
    <div class="layui-side layui-side-menu">
      <div class="layui-logo">
        <img class="layui-logo-img" src="${request.contextPath}<@configValue id='CAAB580980C74A169D8AFEB418ABB5AA'> </@configValue>" />
        <span class="layui-logo-title" title="<@configValue id='D9D9033598B54FD794995DA742A58A40'> </@configValue>"><@configValue id='D9D9033598B54FD794995DA742A58A40'> </@configValue></span>
      </div>
        <div class="navbar-side-search">
        <input 
          type="text" 
          placeholder="搜索..." 
          id="navbarSearchValue"
          autocomplete="off" 
          class="layui-input layui-inline navbar-seacher-input">
        <i class="layui-icon layui-icon-search" id="navbarSearchIcon"></i>
        <ul class="navbarSearchResult layui-hide"></ul>
      </div> 
      <div class="layui-side-scroll" id="admin-navbar-menu">
    
      </div>
    </div>

    <!-- 页面标签 -->
    <div class="layadmin-pagetabs" id="LAY_app_tabs" style="padding-left: 0px;padding-right: 40px;">
      <div class="layui-icon layadmin-tabs-control layui-icon-prev" layadmin-event="leftPage" style="display: none;"></div>
      <div class="layui-icon layadmin-tabs-control layui-icon-next" layadmin-event="rightPage" style="display: none;"></div>
      <div class="layui-icon layadmin-tabs-control layui-icon-down">
        <ul id="kd-tabs-select" class="layui-nav layadmin-tabs-select" lay-filter="layadmin-pagetabs-nav">
          <li class="layui-nav-item" lay-unselect>
            <a href="javascript:;"></a>
            <dl class="layui-nav-child layui-anim-fadein">
              <dd layadmin-event="closeThisTabs">
                <a href="javascript:;">关闭当前标签页</a>
              </dd>
              <dd layadmin-event="closeOtherTabs">
                <a href="javascript:;">关闭其它标签页</a>
              </dd>
              <dd layadmin-event="closeAllTabs">
                <a href="javascript:;">关闭全部标签页</a>
              </dd>
              <dd layadmin-event="refreshCurrentPage">
                <a href="javascript:;">刷新当前页面</a>
              </dd>
            </dl>
          </li>
        </ul>
      </div>
      <div class="layui-tab" lay-unauto lay-allowClose="true" lay-filter="layadmin-layout-tabs">
        <ul class="layui-tab-title" id="LAY_app_tabsheader">
          <li lay-id="${request.contextPath}/manager/corehomepage/homepage" lay-attr="${request.contextPath}/manager/corehomepage/homepage" class="layui-this">
            <i class="layui-icon layui-icon-home"></i>
          </li>
        </ul>
      </div>
    </div>
    <!-- 主体内容 -->
    <div class="layui-body" id="LAY_app_body">
      <div class="layadmin-tabsbody-shade">
        <div>页面载入中...</div>
        <div><@configValue id='D9D9033598B54FD794995DA742A58A40'> </@configValue></div>
      </div>
      <div class="layadmin-tabsbody-item layui-show">
          <iframe src="${request.contextPath}/manager/corehomepage/web/index" frameborder="0" class="layadmin-iframe"></iframe>
      </div>
    </div>

    <!-- 辅助元素，一般用于移动设备下遮罩 -->
    <div class="layadmin-body-shade" layadmin-event="shade"></div>
    <#include "base/pagefoot.ftl"/>
  </div>
  
  
  <script src="${request.contextPath}<@jstime url='/static/libs/svg-inject.min.js'> </@jstime>"></script>
  <script src="${request.contextPath}<@jstime url='/static/libs/layui/layui.js'> </@jstime>"></script>
  <script src="${request.contextPath}<@jstime url='/static/framework/messenger.js'> </@jstime>"></script>
  <script>
    layui.config({
			version: "<@configVersion suosxt='CORE'> </@configVersion>"
			, base: '${request.contextPath}/static/modules/web/kdayunadmin/' //静态资源所在路径
        , contentPath: '${request.contextPath}'
    }).extend({
      index: 'lib/index', //主入口模块      
      setter: '{/}${request.contextPath}/static/modules/web/kdayunadmin/config', //配置
	    theme:'{/}${request.contextPath}/static/framework/theme',
	    common: '{/}${request.contextPath}/static/framework/common', //公用模块  
      navbar: '{/}${request.contextPath}/static/modules/web/kdayunadmin/modules/navbar', //左侧的菜单
      zlPinYin: '{/}${request.contextPath}/static/modules/web/kdayunadmin/lib/zlPinYin', //拼音
      admin: '{/}${request.contextPath}/static/modules/web/kdayunadmin/lib/admin', //核心模块
    }).use('index',function(){
        var messenger = new Messenger('index', 'zlfw');
        messenger.send('221');        
        messenger.listen(function(msg){
           layui.common.openTabsPage(msg.url,msg.text);
      });
    });
  </script>

  <script id="tpl-logo" type="text/html">
      <div class="layui-logo kdayun-logo">
            <img class="layui-logo-img" src="${request.contextPath}<@configValue id='CAAB580980C74A169D8AFEB418ABB5AA'> </@configValue>" />
            <span class="layui-logo-title" title="<@configValue id='D9D9033598B54FD794995DA742A58A40'> </@configValue>"><@configValue id='D9D9033598B54FD794995DA742A58A40'> </@configValue></span>
      </div>
  </script>
  <script id="tpl-header-left-tools" type="text/html">
      <!-- 头部区域 -->
      <ul class="layui-nav layui-layout-left kdayun-header-left-tools">
        <li class="layui-nav-item layadmin-flexible" lay-unselect>
          <a href="javascript:;" layadmin-event="flexible" title="侧边伸缩">
            <i class="layui-icon layui-icon-shrink-right" id="kdayun-app-flexible"></i>
          </a>
        </li>
        <li class="layui-nav-item layadmin-flexible" lay-unselect>
          <a href="javascript:;" layadmin-event="fullscreen" title="全屏">
            <i class="zlui-icon layui-icon-screen-full"></i>
          </a>
        </li>
        <li class="layui-nav-item" lay-unselect>
          <a href="javascript:;" layadmin-event="refresh" title="刷新">
            <i class="layui-icon layui-icon-refresh-3"></i>
          </a>
        </li>
      </ul>
  </script>
  <script id="tpl-header-right-tools" type="text/html">
      <!-- 头部区域 -->
      <ul class="layui-nav layui-layout-right kdayun-header-right-tools" lay-filter="layadmin-layout-right">
              <li class="layui-nav-item" lay-unselect>
                  <a layadmin-event="message" yh-href="${request.contextPath}/manager/coremodelshow/?modelCode=CORE_LCDBS" nopost="1" lay-text="消息中心">
                      <i class="layui-icon layui-icon-notice"></i>
                      <!-- 如果有新消息，则显示小圆点 -->
                      <span class="layui-badge-dot"></span>
                  </a>
              </li>
              <li class="layui-nav-item " lay-unselect>
                  <a href="javascript:;">
                      <cite id='ORGNAME'></cite>
                  </a>
              </li>
              <li class="layui-nav-item " lay-unselect>
                  <a href="javascript:;">
                      <cite id='ROLENAME'></cite>
                  </a>
                  <dl class="layui-nav-child" id="rolecourse">
                  </dl>
              </li>
          
              <li class="layui-nav-item setli" lay-unselect >
                  <a href="javascript:;">
                      <img id="TOUX" src="" style="width: 40px;height: 40px;border-radius: 50%;" />
                      <cite id='OBJNAME'></cite>
                  </a>
                  <dl class="layui-nav-child">
                      <dd id="jbzl" class="setitem">
                          <a yh-href="${request.contextPath}/info">
                              <i class="fa fa-user-circle" aria-hidden="true" style="margin-right: 6px;color: #333;"></i>基本资料</a>
                      </dd>
                      <dd id="xgmm" class="setitem">
                          <a yh-href="${request.contextPath}/password">
                              <i class="fa fa-edit" aria-hidden="true" style="margin-right: 6px;color: #333;"></i>修改密码
                          </a>
                      </dd>
                      <dd id="pfsz" class="setitem">
                          <a layadmin-event="theme">
                              <i  class="fa fa-themeisle" aria-hidden="true" style="margin-right: 6px;color: #333;"></i>主题设置
                          </a>
                      </dd>
                      <dd id="gywm" class="setitem">
                          <a href="javascript:;" id="about">
                              <i  class="fa fa-volume-control-phone" aria-hidden="true" style="margin-right: 6px;color: #333;"></i>关于我们
                          </a>
                      </dd>             
                      <dd id="zx" class="setitem" layadmin-event="logout" style="text-align: left;">
                          <hr>
                          <a href="${request.contextPath}/logout/">
                              <i class="fa fa-sign-out" aria-hidden="true" style="margin-right: 6px;color: #333;"></i> 注销</a>
                      </dd>
                  </dl>
              </li>
              <li class="layui-nav-item layui-show-xs-inline-block layui-hide-sm" lay-unselect>
                  <a href="javascript:;" layadmin-event="more">
                      <i class="layui-icon layui-icon-more-vertical"></i>
                  </a>
              </li>
          </ul>
  </script>
  <script id="tpl-header" type="text/html">
        <div class="layui-header kdayun-header">        
        </div>
  </script>
  <script id="tpl-left-side" type="text/html">
      <div class="kdayun-menu">
          
      </div>
  </script>
  <script id="tpl-menu" type="text/html">
    <div class="kdayun-menu-container" id="admin-navbar-menu">
  
    </div>
  </script>
  <script id="tpl-search" type="text/html">
    <div class="navbar-side-search kdayun-search">
      <input 
        type="text" 
        placeholder="搜索..." 
        id="navbarSearchValue"
        autocomplete="off" 
        class="layui-input layui-inline navbar-seacher-input kdayun-search-input">
      <i class="layui-icon layui-icon-search kdayun-search-icon" id="navbarSearchIcon"></i>
      <ul class="navbarSearchResult layui-hide kdayun-search-result"></ul>
    </div> 
  </script>


  <script id="tpl-body" type="text/html">
        <div class="layadmin-pagetabs kdayun-pagetabs" id="LAY_app_tabs" style="padding-left: 0px;padding-right: 40px;">
          <div class="layui-icon layadmin-tabs-control layui-icon-prev" layadmin-event="leftPage" style="display: none;"></div>
          <div class="layui-icon layadmin-tabs-control layui-icon-next" layadmin-event="rightPage" style="display: none;"></div>
          <div class="layui-icon layadmin-tabs-control layui-icon-down">
            <ul id="kd-tabs-select" class="layui-nav layadmin-tabs-select" lay-filter="layadmin-pagetabs-nav">
              <li class="layui-nav-item" lay-unselect>
                <a href="javascript:;"></a>
                <dl class="layui-nav-child layui-anim-fadein">
                  <dd layadmin-event="closeThisTabs">
                    <a href="javascript:;">关闭当前标签页</a>
                  </dd>
                  <dd layadmin-event="closeOtherTabs">
                    <a href="javascript:;">关闭其它标签页</a>
                  </dd>
                  <dd layadmin-event="closeAllTabs">
                    <a href="javascript:;">关闭全部标签页</a>
                  </dd>
                  <dd layadmin-event="refreshCurrentPage">
                    <a href="javascript:;">刷新当前页面</a>
                  </dd>
                </dl>
              </li>
            </ul>
          </div>
          <div class="layui-tab" lay-unauto lay-allowClose="true" lay-filter="layadmin-layout-tabs">
            <ul class="layui-tab-title" id="LAY_app_tabsheader">
              <li lay-id="${request.contextPath}/manager/corehomepage/homepage" lay-attr="${request.contextPath}/manager/corehomepage/homepage" class="layui-this">
                <i class="layui-icon layui-icon-home"></i>
              </li>
            </ul>
          </div>
        </div>
        <div class="kdayun-pagetab-body" id="LAY_app_body">
          <div class="layadmin-tabsbody-shade">
            <div>页面载入中...</div>
            <div><@configValue id='D9D9033598B54FD794995DA742A58A40'> </@configValue></div>
          </div>
          <div class="layadmin-tabsbody-item layui-show kdayun-pagetab-body-item">
              <iframe src="${request.contextPath}/manager/corehomepage/web/index" frameborder="0" class="layadmin-iframe kdayun-pagetab-iframe"></iframe>
          </div>
        </div>
  </script>

    <#--   //开启IM打开
    <#include "base/im.ftl">  -->
</body>
</html>