<!DOCTYPE html>

<html>

<head>
  <meta charset="utf-8">
  <title> <@configValue id='D9D9033598B54FD794995DA742A58A40'> </@configValue>- 后台管理</title>
  <meta name="renderer" content="webkit">
  <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
  <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=0">
  <link rel="stylesheet" href="${request.contextPath}<@jstime url='/static/libs/layui/css/layui.css'> </@jstime>" media="all">
  <link rel="stylesheet" href="${request.contextPath}<@jstime url='/static/css/font-awesome/css/font-awesome.min.css'> </@jstime>">
  <link rel="stylesheet" href="${request.contextPath}<@jstime url='/static/modules/web/kdayunadmin/style/admin.css'> </@jstime>" media="all">
  <link rel="stylesheet" href="${request.contextPath}<@jstime url='/static/modules/manager/css/global.css'> </@jstime>" media="all">
  <link rel="stylesheet" href="${request.contextPath}<@jstime url='/static/modules/web/kdayunadmin/style/loader.css'> </@jstime>" media="all">
  <!-- 添加发生重大事件获取哀悼日需要把网站变灰的样式 -->
  <@config id = Global.SYSOPTKEY_ISOPENZHIHUI orgid = "${orgid}" >
      <link id="filterCss" rel="stylesheet" href="${request.contextPath}<@jstime url='/static/modules/manager/css/filter.css'> </@jstime>" media="all">
  </@config>
  <link rel="icon" href="${request.contextPath}<@configValue id='CAAB580980C74A169D8AFEB418ABB5AA'> </@configValue>" type="image/x-icon"/>
  <script type="text/javascript" src="${request.contextPath}<@jstime url='/static/libs/jquery.js'> </@jstime>"></script>
  <!-- 让IE8/9支持媒体查询，从而兼容栅格 -->
  <!--[if lt IE 9]>
	<script src="${request.contextPath}/static/libs/html5.min.js"></script>
	<script src="${request.contextPath}/static/libs/respond.min.js"></script>
	<![endif]-->

   <#include "base/token.ftl"/>
   <style>
      .layadmin-side-shrink .layui-layout-admin .logo{
        padding-left: 0;
      }
      .logo .layui-logo-img {
        border-radius: 50%;
        margin-inline-end: 5px;
        width: 40px;
        height: 40px;
      }
      .layadmin-side-shrink .layui-layout-admin .layui-logo-img{
        display: block!important;
        margin: 5px 0 0 10px;
      }
  </style>
</head>

<body id="kdayun-body" class="kdayun-layout-body">
  <div id="loader-wrapper">
    <div id="loader"></div>
    <div class="loader-section section-left"></div>
    <div class="loader-section section-right"></div>
    <div class="load_title">正在加载 - 后台管理<br><span></span></div>
  </div>
  <div id="kdayun-app" class="kdayun-app-layout-left kdayun-app-layout">
  </div>
  <script src="${request.contextPath}/static/libs/svg-inject.min.js"></script>
	<script src="${request.contextPath}/static/libs/layui/layui.js"></script>
	<script src="${request.contextPath}/static/framework/messenger.js"></script>
	<script>
		layui.config({
			version: "<@configVersion suosxt='CORE'> </@configVersion>"
			, base: '${request.contextPath}/static/modules/' //静态资源所在路径
			, contentPath: '${request.contextPath}'
		}).extend({
			index: 'manager/home/index', //主入口模块
      setter: '{/}${request.contextPath}/static/modules/web/kdayunadmin/config', //配置
	    theme:'{/}${request.contextPath}/static/framework/theme',
	    common: '{/}${request.contextPath}/static/framework/common', //公用模块  
      navbar: '{/}${request.contextPath}/static/modules/web/kdayunadmin/modules/navbar', //左侧的菜单
      zlPinYin: '{/}${request.contextPath}/static/modules/web/kdayunadmin/lib/zlPinYin', //拼音
      admin: '{/}${request.contextPath}/static/modules/web/kdayunadmin/lib/admin', //核心模块
		}).use('index');
	</script>
  <input id="tokenId" type="hidden" value="${tokenId}">

  
  <script id="tpl-logo" type="text/html">
        <div class="layui-logo logo layui-logo-admin" yh-href="http://www.kdayun.com">
          <img class="layui-logo-img" src="${request.contextPath}<@configValue id='CAAB580980C74A169D8AFEB418ABB5AA'> </@configValue>" />
          <span style="font-size: 22px;">后台管理</span>
        </div>
  </script>
  <script id="tpl-header-left-tools" type="text/html">
      <!-- 头部区域 -->
      <ul class="layui-nav layui-layout-left kdayun-header-left-tools">
          <li class="layui-nav-item admin-side-toggle" lay-unselect>
            <a href="javascript:;" layadmin-event="flexible" title="侧边伸缩">
              <i class="fa fa-bars" aria-hidden="true" id="kdayun-app-flexible"></i>
            </a>
          </li>
          <li class="layui-nav-item admin-side-full" lay-unselect>
            <a href="javascript:;" layadmin-event="fullscreen" title="全屏">
              <i class="fa fa-life-bouy" aria-hidden="true"></i>
            </a>
          </li>
          <li class="layui-nav-item admin-side-head" lay-unselect>
            <a href="${request.contextPath}/index/" target="_blank" title="前台">
              <i class="fa fa-home" aria-hidden="true"></i>
            </a>
          </li>
          <li class="layui-nav-item admin-side-cacheclear" lay-unselect>
            <a href="javascript:;"  title="清除服务器缓存">
              <i class="fa fa-trash-o" aria-hidden="true"></i>
            </a>
          </li>
        </ul>      
  </script>
  <script id="tpl-header-right-tools" type="text/html">
      <ul class="layui-nav layui-layout-right kdayun-header-right-tools" lay-filter="layadmin-layout-right">
          <li class="layui-nav-item " lay-unselect>
            <a href="javascript:;">
              <img id="TOUX" src="" style="width: 40px;height: 40px;border-radius: 50%;" />
              <cite id='OBJNAME'></cite>
            </a>
            <dl class="layui-nav-child">
              <dd>  
                <a yh-href="${request.contextPath}/info/">
                  <i class="fa fa-user-circle" aria-hidden="true" style="margin-right: 6px;color: #333;"></i>个人信息</a>
              </dd>
              <hr>
              <dd layadmin-event="logout" style="text-align: left;">
                <a href="${request.contextPath}/manager/logout/">
                  <i class="fa fa-sign-out" aria-hidden="true"  style="margin-right: 6px;color: #333;"></i> 注销</a>
              </dd>
            </dl>
          </li>
          <li class="layui-nav-item layui-show-xs-inline-block layui-hide-sm" lay-unselect>
            <a href="javascript:;" layadmin-event="more">
              <i class="layui-icon layui-icon-more-vertical"></i>
            </a>
          </li>
      </ul>          
  </script>
  <script id="tpl-header" type="text/html">
        <div class="layui-header kdayun-header">        
        </div>
  </script>
  <script id="tpl-left-side" type="text/html">
      <div class="kdayun-menu">
          
      </div>
  </script>
  <script id="tpl-menu" type="text/html">
    <div class="kdayun-menu-container" id="admin-navbar-menu">
  
    </div>
  </script>
  <script id="tpl-search" type="text/html">
    <div class="navbar-side-search kdayun-search">
      <input 
        type="text" 
        placeholder="搜索..." 
        id="navbarSearchValue"
        autocomplete="off" 
        class="layui-input layui-inline navbar-seacher-input kdayun-search-input">
      <i class="layui-icon layui-icon-search kdayun-search-icon" id="navbarSearchIcon"></i>
      <ul class="navbarSearchResult layui-hide kdayun-search-result"></ul>
    </div> 
  </script>


  <script id="tpl-body" type="text/html">
        <div class="layadmin-pagetabs kdayun-pagetabs" id="LAY_app_tabs" style="padding-left: 0px;padding-right: 40px;">
          <div class="layui-icon layadmin-tabs-control layui-icon-prev" layadmin-event="leftPage" style="display: none;"></div>
          <div class="layui-icon layadmin-tabs-control layui-icon-next" layadmin-event="rightPage" style="display: none;"></div>
          <div class="layui-icon layadmin-tabs-control layui-icon-down">
            <ul id="kd-tabs-select" class="layui-nav layadmin-tabs-select" lay-filter="layadmin-pagetabs-nav">
              <li class="layui-nav-item" lay-unselect>
                <a href="javascript:;"></a>
                <dl class="layui-nav-child layui-anim-fadein">
                  <dd layadmin-event="closeThisTabs">
                    <a href="javascript:;">关闭当前标签页</a>
                  </dd>
                  <dd layadmin-event="closeOtherTabs">
                    <a href="javascript:;">关闭其它标签页</a>
                  </dd>
                  <dd layadmin-event="closeAllTabs">
                    <a href="javascript:;">关闭全部标签页</a>
                  </dd>
                  <dd layadmin-event="refreshCurrentPage">
                    <a href="javascript:;">刷新当前页面</a>
                  </dd>
                </dl>
              </li>
            </ul>
          </div>
          <div class="layui-tab" lay-unauto lay-allowClose="true" lay-filter="layadmin-layout-tabs">
            <ul class="layui-tab-title" id="LAY_app_tabsheader">
              <li lay-id="${request.contextPath}/manager/corehomepage/homepage" lay-attr="${request.contextPath}/manager/corehomepage/homepage" class="layui-this">
                <i class="layui-icon layui-icon-home"></i>
              </li>
            </ul>
          </div>
        </div>
        <div class="kdayun-pagetab-body" id="LAY_app_body">
          <div class="layadmin-tabsbody-shade">
            <div>页面载入中...</div>
            <div><@configValue id='D9D9033598B54FD794995DA742A58A40'> </@configValue></div>
          </div>
          <div class="layadmin-tabsbody-item layui-show kdayun-pagetab-body-item">
              <iframe src="${request.contextPath}/manager/corehomepage/web/index" frameborder="0" class="layadmin-iframe kdayun-pagetab-iframe"></iframe>
          </div>
        </div>
  </script>
</body>

</html>